<?php include ('include/connect.php'); ?>
<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Register</title>

    <!-- Bootstrap core CSS-->
    <link href="vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom fonts for this template-->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">

    <!-- Custom styles for this template-->
    <link href="css/sb-admin.css" rel="stylesheet">

  </head>

 <body class="bg-dark">

    <div class="container">
      <div class="card card-register mx-auto mt-5">
        <div class="card-header">Register an Account</div>
        <div class="card-body">
          <?php
          if (isset($_GET['error'])){
            if ($_GET['error']=="emptyfields") {
              echo '<p class="signuperror">Fill in all the fields</p>';
            }
            elseif ($_GET['error']== "invalidemail") {
              echo '<p class="signuperror">Invalid Email</p>';
            }
            elseif ($_GET['error']== "invalidadmin_id") {
              echo '<p class="signuperror">Invalid Username</p>';
            }
            elseif ($_GET['error']== "passwordcheck") {
            echo '<p class="signuperror">Your password do not match</p>';
            }
            elseif ($_GET['error']== "usertaken") {
            echo '<p class="signuperror">Username is already taken</p>';
            }
          }
          if (isset($_GET['register'])) {
          if ($_GET["register"]=="success"){

              echo '<p class="signupsuccess">Register Successful</p>';
            }
          }

            
          
          ?>
          <form role="form" method="post" action="register_trans.php?action=add">
            <div class="form-group">
              <div class="form-row">
                <div class="col-md-6">
                  <div class="form-label-group">
                    <input type="text" id="fname" class="form-control" placeholder="First name" name="fname" required="required" autofocus="autofocus">
                    <label for="fname">First name</label>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-label-group">
                    <input type="text" id="lname" class="form-control" placeholder="Last name" name="lname" required="required">
                    <label for="lname">Last name</label>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group">
              <div class="form-label-group">
                <input type="text" id="contact_number" class="form-control" placeholder="Contact Number " name="contact_number" required="required">
                <label for="contact_number">Contact Number</label>
              </div>
            </div>
            <div class="form-group">
              <div class="form-label-group">
                <input type="text" id="address" class="form-control" placeholder="Address" name="address" required="required">
                <label for="address">Address</label>
              </div>
            </div>
            <div class="form-group">
              <div class="form-label-group">
                <input type="email" id="email" class="form-control" placeholder="Email address" name="email" required="required">
                <label for="email">Email address</label>
              </div>
            </div>
            <div class="form-group">
              <div class="form-row">
                <div class="col-md-6">
                  <div class="form-label-group">
                    <input type="password" id="password" class="form-control" placeholder="Password" name="password" required="required">
                    <label for="password">Password</label>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-label-group">
                    <input type="password" id="confirm_pass" class="form-control" placeholder="Confirm password" name="confirm_pass" required="required">
                    <label for="confirm_pass">Confirm password</label>
                  </div>
                </div>
              </div>
            </div>
            <button type="submit" class="btn btn-primary btn-block" name="customer">Register></button> 
          </form>
          <div class="text-center">
            <a class="d-block small mt-3" href="loginclient.php">Login Page</a>
          </div>
        </div>
      </div>
    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="vendor/jquery/jquery.min.js"></script>
    <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

</body>